Bug 14042 - [build] Lack of dependency tracking trigger rebuild of unchanged artifacts
Summary: [build] Lack of dependency tracking trigger rebuild of unchanged artifacts
Status: RESOLVED INVALID
Alias: None
Product: Android
Classification: Xamarin
Component: General (show other bugs)
Version: 4.8.x
Hardware: PC Mac OS
: Normal enhancement
Target Milestone: ---
Assignee: Jonathan Pryor
URL:
Depends on:
Blocks: 13211 12829 12995 13822 13858 13861 13957
  Show dependency tree
 
Reported: 2013-08-16 15:12 UTC by Rodrigo Kumpera
Modified: 2017-07-06 20:39 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED INVALID

Description Rodrigo Kumpera 2013-08-16 15:12:35 UTC
Steps to reproduce:

1)build monodroid;
2)Do nothing
3)make on monodroid

A metric ton of stuff will be rebuild.

NOTHING should be rebuild on a built and unmodified tree.
Comment 1 Rodrigo Kumpera 2013-08-16 15:19:43 UTC
an unmodified tree should not take more than a few seconds to run make from the top level.

cd monodroid; time make
real	0m52.270s
Comment 2 Chris Hardy [MSFT] 2017-07-06 20:39:20 UTC
Thank you for taking the time to submit this report. After reviewing the description of this bug, we believe it no longer affects the current version of Xamarin.Android. If you are still experiencing the issue after updating your packages, please reopen this report with an attached reproduction.